Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Delete a conversation

DELETE
/conversations/{conversation_id}

Delete a conversation. Items in the conversation will not be deleted.

Path Parameters
conversation_id: string

The ID of the conversation to delete.

Returns
ConversationDeletedResource object { id, deleted, object }
id: string
deleted: boolean
object: "conversation.deleted" (default: "conversation.deleted")

Delete a conversation

curl -X DELETE https://api.openai.com/v1/conversations/conv_123 \
  -H "Authorization: Bearer $OPENAI_API_KEY"
Response example
{
  "id": "conv_123",
  "object": "conversation.deleted",
  "deleted": true
}
Returns Examples
Response example
{
  "id": "conv_123",
  "object": "conversation.deleted",
  "deleted": true
}